BeanProperty.Std (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map

## Class BeanProperty.Std

- java.lang.Object
- - org.codehaus.jackson.map.BeanProperty.Std

- All Implemented Interfaces:
    BeanProperty, Named
  Direct Known Subclasses:
    ValueInjector
  Enclosing interface:
    BeanProperty

      public static class BeanProperty.Std
      extends Object
      implements BeanProperty

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.codehaus.jackson.map.BeanProperty

      `BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Annotations` | `_contextAnnotations` Annotations defined in the context class (if any); may be null if no annotations were found
    `protected AnnotatedMember` | `_member` Physical entity (field, method or constructor argument) that is used to access value of property (or in case of constructor property, just placeholder)
    `protected String` | `_name`
    `protected JavaType` | `_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanProperty.Std(String name, JavaType type, Annotations contextAnnotations, AnnotatedMember member)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends Annotation> A` | `getAnnotation(Class<A> acls)` Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
    `<A extends Annotation> A` | `getContextAnnotation(Class<A> acls)` Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).
    `AnnotatedMember` | `getMember()` Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
    `String` | `getName()` Method to get logical name of the property
    `JavaType` | `getType()` Method to get declared type of the property.
    `BeanProperty.Std` | `withType(JavaType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final String _name

    - #### _type

          protected final JavaType _type

    - #### _member

          protected final AnnotatedMember _member

      Physical entity (field, method or constructor argument) that is used to access value of property (or in case of constructor property, just placeholder)

    - #### _contextAnnotations

          protected final Annotations _contextAnnotations

      Annotations defined in the context class (if any); may be null if no annotations were found

  - ### Constructor Detail

    - #### BeanProperty.Std

          public BeanProperty.Std(String name,
                          JavaType type,
                          Annotations contextAnnotations,
                          AnnotatedMember member)

  - ### Method Detail

    - #### withType

          public BeanProperty.Std withType(JavaType type)

    - #### getAnnotation

          public <A extends Annotation> A getAnnotation(Class<A> acls)

      Description copied from interface: `BeanProperty`
      Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
      Specified by:
        `getAnnotation` in interface `BeanProperty`

    - #### getContextAnnotation

          public <A extends Annotation> A getContextAnnotation(Class<A> acls)

      Description copied from interface: `BeanProperty`
      Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).
      Specified by:
        `getContextAnnotation` in interface `BeanProperty`

    - #### getName

          public String getName()

      Description copied from interface: `BeanProperty`
      Method to get logical name of the property
      Specified by:
        `getName` in interface `BeanProperty`
      Specified by:
        `getName` in interface `Named`

    - #### getType

          public JavaType getType()

      Description copied from interface: `BeanProperty`
      Method to get declared type of the property.
      Specified by:
        `getType` in interface `BeanProperty`

    - #### getMember

          public AnnotatedMember getMember()

      Description copied from interface: `BeanProperty`
      Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
      Specified by:
        `getMember` in interface `BeanProperty`